# Internationalized FQDNs Only

Matches records whose is_idn equals true.

Source: https://docs.deepinfo.com/reference/discovery/domain-search/examples/is-idn/

Last updated: 2026-09-26

---
`POST https://api.deepinfo.com/v1/discovery/domain-search?page_size=25`

Example 3 of 20 in **Filters › Name & Extension** · [Domain Search Examples](/reference/discovery/domain-search/examples/) · endpoint: [Domain Search](/reference/discovery/domain-search/)

Tags: `field` `is_idn` · `operator` `eq`

Matches records whose `is_idn` equals `true`.

An IDN contains non-ASCII characters; `punycode` holds its ASCII form and `unicode` the readable one.

In the response, look at `results[].is_idn`.

## Request

| Parameter | In | Value |
|---|---|---|
| `page_size` | query | `25` |
| `filters.must[0].name` | body | `is_idn` |
| `filters.must[0].type` | body | `eq` |
| `filters.must[0].value` | body | `true` |

```bash
curl -X POST 'https://api.deepinfo.com/v1/discovery/domain-search?page_size=25' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "filters": {
    "must": [
      {
        "name": "is_idn",
        "type": "eq",
        "value": true
      }
    ]
  }
}'
```

## Response

### 200 · OK

> Shortened for this page: results: 3 of 25 shown

`Content-Type: application/json` · `ratelimit-limit: 1000` · `ratelimit-remaining: 999` · `ratelimit-reset: 1` · `x-ratelimit-limit-hour: 100000` · `x-ratelimit-limit-minute: 10000` · `x-ratelimit-limit-second: 1000` · `x-ratelimit-remaining-hour: 99997` · `x-ratelimit-remaining-minute: 9997` · `x-ratelimit-remaining-second: 999` · `deepinfo-request-id: 5f0c6a8e-1b2d-4c3e-9f4a-7b8c9d0e1f2a`

```json
{
  "page": 1,
  "page_size": 25,
  "result_count": 12526494,
  "results": [
    {
      "punycode": "mail.xn----8sbasncqel7adjbmce6q.xn--p1ai",
      "unicode": "mail.юрист-стерлитамак.рф",
      "is_idn": true,
      "subdomain": {
        "punycode": "mail",
        "unicode": "mail",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 4
      },
      "subdomain_last": {
        "punycode": "mail",
        "unicode": "mail",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 4
      },
      "subdomain_root": {
        "punycode": "mail",
        "unicode": "mail",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 4
      },
      "name": {
        "punycode": "mail.xn----8sbasncqel7adjbmce6q",
        "unicode": "mail.юрист-стерлитамак",
        "is_idn": true,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": true,
        "length": 30,
        "lang": "ru",
        "keywords": [
          "mail",
          "юрист",
          "стерлитамак"
        ],
        "keyword_count": 3,
        "latinized": [
          "mail.pict-cteplitamak"
        ],
        "contains_confusable": true
      },
      "domain": {
        "punycode": "xn----8sbasncqel7adjbmce6q.xn--p1ai",
        "unicode": "юрист-стерлитамак.рф",
        "is_idn": true,
        "name": {
          "punycode": "xn----8sbasncqel7adjbmce6q",
          "unicode": "юрист-стерлитамак",
          "is_idn": true,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": true,
          "length": 26,
          "lang": "ru",
          "keywords": [
            "юрист",
            "стерлитамак"
          ],
          "keyword_count": 2
        },
        "extension": {
          "punycode": "xn--p1ai",
          "unicode": "рф",
          "is_idn": true
        },
        "extension_root": {
          "punycode": "xn--p1ai",
          "unicode": "рф",
          "is_idn": true
        },
        "extension_sub": null,
        "extension_type": 2,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2026-08-23T14:56:11Z",
          "update_date": "2026-09-01T23:18:01Z",
          "expiry_date": "2027-08-23T14:56:11Z",
          "registrar": "regru-rf",
          "registrant": {
            "name": null,
            "organization": null,
            "street": null,
            "city": null,
            "state": null,
            "postal_code": null,
            "country": null,
            "phone": null,
            "email": null
          },
          "name_servers": [
            "ns1.smartape.ru",
            "ns2.smartape.ru"
          ],
          "domain_status": [
            "delegated",
            "registered",
            "verified"
          ],
          "whois_server": null,
          "check_date": "2026-09-01T23:21:47Z"
        },
        "whois_normalized": {
          "registrant": null
        },
        "whois_last_check_date": "2026-09-01T23:21:47Z",
        "whois_create_date_historical": null,
        "whois_last_change_date": "2026-09-01T23:23:41Z",
        "whois_registrant_email_historical": null,
        "whois_privacy_enabled": null,
        "dns": {
          "a": {
            "update_date": "2026-09-01T21:33:52Z",
            "ip_addresses": [
              "188.127.230.57"
            ]
          }
        },
        "dns_last_change_date": "2026-09-01T21:33:52Z",
        "ip_history": null,
        "ssl": {
          "validity": {
            "start_date": "2026-08-27T10:02:30Z",
            "end_date": "2026-11-25T10:02:29Z"
          },
          "serial_number": "547381708887820227869338976964292854259719",
          "check_date": "2026-09-05T16:03:38Z"
        },
        "ssl_last_change_date": "2026-09-03T02:57:41Z"
      },
      "type": 2,
      "subdomain_level_count": 1,
      "dns": {
        "a": {
          "update_date": "2026-09-10T20:11:29Z",
          "ip_addresses": [
            "188.127.230.57"
          ]
        },
        "aaaa": {
          "update_date": "2026-09-10T20:11:29Z",
          "ip_addresses": []
        },
        "ns": {
          "update_date": "2026-09-10T20:11:29Z",
          "name_servers": []
        },
        "mx": {
          "update_date": "2026-09-10T20:11:29Z",
          "mail_servers": []
        },
        "soa": {
          "update_date": "2026-09-10T20:11:29Z",
          "mnames": [],
          "rnames": [],
          "rname_emails": []
        },
        "txt": {
          "update_date": "2026-09-10T20:11:29Z",
          "values": []
        },
        "cname": {
          "update_date": "2026-09-10T20:11:29Z",
          "values": []
        },
        "others": []
      },
      "dns_last_change_date": "2026-09-10T20:11:29Z",
      "ip_history": [
        "188.127.230.57"
      ],
      "ssl": null,
      "ssl_last_change_date": null,
      "webdata": null
    },
    {
      "punycode": "digital-human.xn--876a.net",
      "unicode": "digital-human.鹅.net",
      "is_idn": true,
      "subdomain": {
        "punycode": "digital-human",
        "unicode": "digital-human",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": true,
        "length": 13
      },
      "subdomain_last": {
        "punycode": "digital-human",
        "unicode": "digital-human",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": true,
        "length": 13
      },
      "subdomain_root": {
        "punycode": "digital-human",
        "unicode": "digital-human",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": true,
        "length": 13
      },
      "name": {
        "punycode": "digital-human.xn--876a",
        "unicode": "digital-human.鹅",
        "is_idn": true,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": true,
        "length": 21,
        "lang": "en",
        "keywords": [
          "digital",
          "human"
        ],
        "keyword_count": 2,
        "latinized": [
          "digital-human."
        ],
        "contains_confusable": true
      },
      "domain": {
        "punycode": "xn--876a.net",
        "unicode": "鹅.net",
        "is_idn": true,
        "name": {
          "punycode": "xn--876a",
          "unicode": "鹅",
          "is_idn": true,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": false,
          "length": 8,
          "lang": null,
          "keywords": [],
          "keyword_count": 0
        },
        "extension": {
          "punycode": "net",
          "unicode": "net",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "net",
          "unicode": "net",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 1,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2024-03-12T12:54:42Z",
          "update_date": "2025-12-15T01:46:44Z",
          "expiry_date": "2027-03-12T12:54:42Z",
          "registrar": "alibaba cloud computing ltd. d/b/a hichina (www.net.cn)",
          "registrant": {
            "name": null,
            "organization": null,
            "street": null,
            "city": null,
            "state": null,
            "postal_code": null,
            "country": null,
            "phone": null,
            "email": null
          },
          "name_servers": [
            "dns21.hichina.com",
            "dns22.hichina.com"
          ],
          "domain_status": [
            "ok"
          ],
          "whois_server": "grs-whois.hichina.com",
          "check_date": "2026-08-15T01:51:38Z"
        },
        "whois_normalized": {
          "registrant": null
        },
        "whois_last_check_date": "2026-08-15T01:51:38Z",
        "whois_create_date_historical": null,
        "whois_last_change_date": "2025-12-15T18:41:08Z",
        "whois_registrant_email_historical": null,
        "whois_privacy_enabled": null,
        "dns": {
          "a": {
            "update_date": "2026-09-08T20:41:39Z",
            "ip_addresses": [
              "101.43.37.32"
            ]
          }
        },
        "dns_last_change_date": "2026-09-08T20:43:01Z",
        "ip_history": null,
        "ssl": null,
        "ssl_last_change_date": null
      },
      "type": 2,
      "subdomain_level_count": 1,
      "dns": {
        "a": {
          "update_date": "2026-09-10T19:14:18Z",
          "ip_addresses": [
            "124.222.25.3"
          ]
        },
        "aaaa": {
          "update_date": "2026-09-10T19:14:18Z",
          "ip_addresses": []
        },
        "ns": {
          "update_date": "2026-09-10T19:14:18Z",
          "name_servers": []
        },
        "mx": {
          "update_date": "2026-09-10T19:14:18Z",
          "mail_servers": []
        },
        "soa": {
          "update_date": "2026-09-10T19:14:18Z",
          "mnames": [],
          "rnames": [],
          "rname_emails": []
        },
        "txt": {
          "update_date": "2026-09-10T19:14:18Z",
          "values": []
        },
        "cname": {
          "update_date": "2026-09-10T19:14:18Z",
          "values": []
        },
        "others": []
      },
      "dns_last_change_date": "2026-09-10T19:14:18Z",
      "ip_history": [
        "124.222.25.3"
      ],
      "ssl": null,
      "ssl_last_change_date": null,
      "webdata": null
    },
    {
      "punycode": "br.xn--01-vlchp9ao.xn--p1ai",
      "unicode": "br.кухни01.рф",
      "is_idn": true,
      "subdomain": {
        "punycode": "br",
        "unicode": "br",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 2
      },
      "subdomain_last": {
        "punycode": "br",
        "unicode": "br",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 2
      },
      "subdomain_root": {
        "punycode": "br",
        "unicode": "br",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 2
      },
      "name": {
        "punycode": "br.xn--01-vlchp9ao",
        "unicode": "br.кухни01",
        "is_idn": true,
        "contains_letter": true,
        "contains_number": true,
        "contains_hyphen": false,
        "length": 17,
        "lang": "ru",
        "keywords": [
          "br",
          "кухни"
        ],
        "keyword_count": 2,
        "latinized": [
          "br.kyxhioi",
          "br.kyxhiol"
        ],
        "contains_confusable": true
      },
      "domain": {
        "punycode": "xn--01-vlchp9ao.xn--p1ai",
        "unicode": "кухни01.рф",
        "is_idn": true,
        "name": {
          "punycode": "xn--01-vlchp9ao",
          "unicode": "кухни01",
          "is_idn": true,
          "contains_letter": true,
          "contains_number": true,
          "contains_hyphen": false,
          "length": 15,
          "lang": "ru",
          "keywords": [
            "кухни"
          ],
          "keyword_count": 1
        },
        "extension": {
          "punycode": "xn--p1ai",
          "unicode": "рф",
          "is_idn": true
        },
        "extension_root": {
          "punycode": "xn--p1ai",
          "unicode": "рф",
          "is_idn": true
        },
        "extension_sub": null,
        "extension_type": 2,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2023-05-24T09:19:14Z",
          "update_date": "2026-04-25T09:08:01Z",
          "expiry_date": "2027-05-24T09:19:14Z",
          "registrar": "regtime-rf",
          "registrant": {
            "name": "REDACTED FOR PRIVACY",
            "organization": "telecom-servis ltd.",
            "street": null,
            "city": null,
            "state": null,
            "postal_code": null,
            "country": null,
            "phone": null,
            "email": null
          },
          "name_servers": [
            "ns1.nameself.com",
            "ns2.nameself.com"
          ],
          "domain_status": [
            "delegated",
            "registered",
            "verified"
          ],
          "whois_server": null,
          "check_date": "2026-04-25T09:12:20Z"
        },
        "whois_normalized": {
          "registrant": {
            "organization": "telecomservisltd",
            "phone": null,
            "email": null,
            "email_fqdn_apex": null,
            "email_domain_apex": null
          }
        },
        "whois_last_check_date": "2026-04-25T09:12:20Z",
        "whois_create_date_historical": null,
        "whois_last_change_date": "2026-04-25T09:14:32Z",
        "whois_registrant_email_historical": null,
        "whois_privacy_enabled": true,
        "dns": {
          "a": {
            "update_date": "2026-09-05T02:55:26Z",
            "ip_addresses": [
              "185.215.4.19"
            ]
          }
        },
        "dns_last_change_date": "2026-04-25T10:53:00Z",
        "ip_history": null,
        "ssl": {
          "validity": {
            "start_date": "2026-07-21T16:26:57Z",
            "end_date": "2026-10-19T16:26:56Z"
          },
          "serial_number": "513381877539466802117020596609066392206873",
          "check_date": "2026-07-28T05:57:08Z"
        },
        "ssl_last_change_date": "2026-07-28T05:57:17Z"
      },
      "type": 2,
      "subdomain_level_count": 1,
      "dns": {
        "a": {
          "update_date": "2026-09-10T23:54:18Z",
          "ip_addresses": [
            "185.215.4.19"
          ]
        },
        "aaaa": {
          "update_date": "2026-09-10T23:54:18Z",
          "ip_addresses": []
        },
        "ns": {
          "update_date": "2026-09-10T23:54:18Z",
          "name_servers": []
        },
        "mx": {
          "update_date": "2026-09-10T23:54:18Z",
          "mail_servers": []
        },
        "soa": {
          "update_date": "2026-09-10T23:54:18Z",
          "mnames": [],
          "rnames": [],
          "rname_emails": []
        },
        "txt": {
          "update_date": "2026-09-10T23:54:18Z",
          "values": []
        },
        "cname": {
          "update_date": "2026-09-10T23:54:18Z",
          "values": []
        },
        "others": []
      },
      "dns_last_change_date": "2026-09-10T23:54:18Z",
      "ip_history": [
        "185.215.4.19"
      ],
      "ssl": null,
      "ssl_last_change_date": null,
      "webdata": null
    }
  ]
}
```

## Related Examples

- [Confusable IDN Domains](/reference/discovery/domain-search/examples/confusable-idn-domains/)
- [Subdomains Only](/reference/discovery/domain-search/examples/type/)
- [Look Up an Exact FQDN](/reference/discovery/domain-search/examples/fqdn/)
- [Names With Confusable Characters](/reference/discovery/domain-search/examples/name-contains-confusable/)
- [All FQDNs Under One Domain](/reference/discovery/domain-search/examples/domain/)
- [Internationalized Domains Only](/reference/discovery/domain-search/examples/domain-is-idn/)
